.TH lib 3 "stdlib  1.16.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
lib \- A number of useful library functions
.SH DESCRIPTION
.SS Warning:
.LP
This module is retained for compatibility\&. It may disappear without warning in a future release\&.


.SH EXPORTS
.LP
.B
flush_receive() -> void()
.br
.RS
.LP
Flushes the message buffer of the current process\&.
.RE
.LP
.B
error_message(Format, Args) -> ok
.br
.RS
.TP
Types
Format = atom() | string() | binary()
.br
Args = [term()]
.br
.RE
.RS
.LP
Prints error message \fIArgs\fR in accordance with \fIFormat\fR\&. Similar to \fIio:format/2\fR, see io(3)\&.
.RE
.LP
.B
progname() -> atom()
.br
.RS
.LP
Returns the name of the script that started the current Erlang session\&.
.RE
.LP
.B
nonl(String1) -> String2
.br
.RS
.TP
Types
String1 = String2 = string()
.br
.RE
.RS
.LP
Removes the last newline character, if any, in \fIString1\fR\&.
.RE
.LP
.B
send(To, Msg)
.br
.RS
.TP
Types
To = pid() | Name | {Name, Node}
.br
 Name = Node = atom()
.br
Msg = term()
.br
.RE
.RS
.LP
This function to makes it possible to send a message using the \fIapply/3\fR BIF\&.
.RE
.LP
.B
sendw(To, Msg)
.br
.RS
.TP
Types
To = pid() | Name | {Name, Node}
.br
 Name = Node = atom()
.br
Msg = term()
.br
.RE
.RS
.LP
As \fIsend/2\fR, but waits for an answer\&. It is implemented as follows:

.nf
sendw(To, Msg) ->
    To ! {self(),Msg},
    receive
        Reply -> Reply
    end\&.
.fi
.LP
The message returned is not necessarily a reply to the message sent\&.
.RE
